/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData FallingDown =
{
  /* BMLevel */
  {
    "Falling Down",
    "Wuerzburg : Bernd Wenisch",
    "xblast.useFallingDown",
    "Down & Stunned",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &FallingDown,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_down,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_special_bombs_30,
  special_game_void,
  special_extra_stun_others,
  special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    1, 10,
    {
      { 1, 6  },
      { 1, 8  },
      { 1, 4  },
      { 1, 10 },
      { 1, 2  },
      { 1, 12 },
    },
    PM_Below, 1,
    Healthy, Healthy, IF_Airpump,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoDown, FUSEnormal,
    BMTrandom, BMTrandom, BMTrandom,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "PapayaWhip", "Black" },
      { "rock_floor_S", "Black", "PapayaWhip", "Black" },
      { "downarrow", "Black", "LimeGreen", "Chocolate" },
      { "downarrow", "Black", "LimeGreen", "Chocolate" },
      { "chess_sphere", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEget,
      { 12, 24, 36, 48, 60 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,X,s,q,_,X,b,b,B, },
      { B,_,_,_,_,X,s,_,_,_,X,b,B, },
      { B,_,_,_,_,X,s,_,_,_,_,X,B, },
      { B,_,_,_,_,X,s,_,_,_,_,X,B, },
      { B,_,_,_,_,X,s,_,_,_,X,r,B, },
      { B,_,_,_,_,X,s,_,_,X,b,b,B, },
      { B,B,B,B,B,X,s,q,X,r,B,r,B, },
      { B,_,_,_,_,X,s,_,_,X,b,b,B, },
      { B,_,_,_,_,X,s,_,_,_,X,r,B, },
      { B,_,_,_,_,X,s,_,_,_,_,X,B, },
      { B,_,_,_,_,X,s,_,_,_,_,X,B, },
      { B,_,_,_,_,X,s,_,_,_,X,b,B, },
      { B,_,_,_,_,X,s,q,_,X,b,b,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
