/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData BombsRange =
{
  /* BMLevel */
  {
    "Bombs & Range",
    "Wuerzburg : Bernd Wenisch",
    "xblast.useBombsRange",
    "Give It A Try...",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &BombsRange,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_nasty_walls,
  special_game_nasty_walls,
  special_extra_speed,
  special_key_RC,
  },
  /* BMPlayerData */
  {
    4, 5,
    {
      {  1,  1 },
      {  1, 13 },
      { 11, 13 },
      { 11,  1 },
      {  5,  7 },
      {  7,  7 },
    },
    PM_Polar, 1,
    IllRun, IllRun, IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_rebound, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTthreebombs,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "PapayaWhip", "Black" },
      { "rock_floor_S", "Black", "PapayaWhip", "Black" },
      { "jizz", "Black", "Aquamarine", "Chocolate" },
      { "jizz", "Black", "Aquamarine", "Chocolate" },
      { "chess_sphere", "Black", "PapayaWhip", "Ivory" },
      { "chess_sphere_O", "Black", "PapayaWhip", "Ivory" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SPEED,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 12, 24, 36, 48, 60 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,r,X,r,_,_,_,_,B, },
      { B,_,_,b,X,X,s,X,X,b,_,_,B, },
      { B,X,X,X,X,q,X,q,X,X,X,X,B, },
      { B,_,_,_,_,X,s,X,_,_,_,_,B, },
      { B,s,v,_,_,r,X,b,_,_,v,s,B, },
      { B,s,v,_,_,X,s,X,_,_,v,s,B, },
      { B,s,v,_,_,_,X,_,_,_,v,s,B, },
      { B,s,v,_,_,X,s,X,_,_,v,s,B, },
      { B,s,v,_,_,b,X,r,_,_,v,s,B, },
      { B,_,_,_,_,X,s,X,_,_,_,_,B, },
      { B,X,X,X,X,q,X,q,X,X,X,X,B, },
      { B,_,_,b,X,X,_,X,X,b,_,_,B, },
      { B,_,_,_,_,r,X,r,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
