/*
 * Level created by Storch 1.34
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 */

/* XBlast 2.6.beta level */
static BMLevelData England =
{
  /* BMLevel */
  {
    "England",
    "Wuerzburg : Bernd Wenisch",
    "xblast.useEngland",
    "Get the extras quickly",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &England,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral_3,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_junkie,
  special_key_void,
  },
  /* BMPlayerData */
  {
    1, 1,
    {
      { 1, 7 },
      { 7, 7 },
      { 3, 7 },
      { 9, 7 },
      { 11, 7 },
      { 5, 7 },
    },
    PM_LeftRight, 1,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor", "Black", "PapayaWhip", "PapayaWhip" },
      { "chess_floor_S", "Black", "PapayaWhip", "PapayaWhip" },
      { "pyramid", "Black", "Yellow", "LavenderBlush" },
      { "pyramid_R", "Black", "Yellow", "LavenderBlush" },
      { "chess_sphere", "Black", "PapayaWhip", "CornflowerBlue" },
      { "chess_sphere_O", "Black", "PapayaWhip", "CornflowerBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_SYRINGE,
      { "score_floor", "Black", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEsingle,
      { 31, 62, 62, 62, 62 },
      {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,r,b,r,q,r,B,r,q,r,b,r,B, },
      { B,b,r,b,r,s,B,s,r,b,r,b,B, },
      { B,r,b,r,b,s,B,s,b,r,b,r,B, },
      { B,v,_,_,_,v,B,v,_,_,_,v,B, },
      { B,_,_,B,_,_,B,_,_,B,_,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,X,_,X,_,X,_,X,_,X,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,_,B,_,_,B,_,_,B,_,_,B, },
      { B,v,_,_,_,v,B,v,_,_,_,v,B, },
      { B,r,b,r,b,s,B,s,b,r,b,r,B, },
      { B,b,r,b,r,s,B,s,r,b,r,b,B, },
      { B,r,b,r,q,r,B,r,q,r,b,r,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
